diff --git a/engines/pegasus/chase.h b/engines/pegasus/chase.h
new file mode 100644
index 0000000..1e9881d
--- /dev/null
+++ b/engines/pegasus/chase.h
@@ -0,0 +1,83 @@
+/* ScummVM - Graphic Adventure Engine
+ *
+ * ScummVM is the legal property of its developers, whose names
+ * are too numerous to list here. Please refer to the COPYRIGHT
+ * file distributed with this source distribution.
+ *
+ * Additional copyright for this file:
+ * Copyright (C) 1995-2013 Presto Studios, Inc.
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ */
+
+#ifndef PEGASUS_CHASE_H
+#define PEGASUS_CHASE_H
+
+#include "pegasus/hotspot.h"
+#include "pegasus/interaction.h"
+#include "pegasus/notification.h"
+#include "pegasus/neighborhood/neighborhood.h"
+
+namespace Pegasus {
+ 
+// Notification constants.
+
+static const NotificationFlags kChaseEnteredBranchZone = 1;
+static const NotificationFlags kChaseExitedBranchZone = kChaseEnteredBranchZone << 1;
+static const NotificationFlags kChaseFinished = kChaseExitedBranchZone << 1;
+
+// Time to choose a direction.
+
+static const TimeValue kDecisionTime = 600 * 2;
+
+class ChaseInteraction : public GameInteraction, public NotificationReceiver {
+public:
+	ChaseInteraction(const InteractionID, Neighborhood *, NotificationID, NotificationManager *);
+	virtual ~ChaseInteraction() {}
+
+	virtual void handleInput(const Input &, const Hotspot *);
+
+protected:
+
+	virtual void openInteraction();
+	virtual void initInteraction() {}
+	virtual void closeInteraction();
+
+	virtual void receiveNotification(Notification *, const NotificationFlags);
+
+	virtual void setUpBranch() {}
+	virtual void branchLeft() {}
+	virtual void branchRight() {}
+	virtual void dontBranch() {}
+
+	virtual void showControlsHint();
+	virtual void hideControlsHint();
+
+	Notification _chaseNotification;
+
+	Notification *_neighborhoodNotification;
+
+	Picture _steerPict;
+
+private:
+
+	bool _directionNeeded;
+	TurnDirection _turnDirection;
+};
+
+} // End of namespace Pegasus
+
+#endif
diff --git a/engines/pegasus/constants.h b/engines/pegasus/constants.h
index f81d219..76fabe8 100644
--- a/engines/pegasus/constants.h
+++ b/engines/pegasus/constants.h
@@ -379,12 +379,15 @@ static const NotificationID kNoradPressureNotificationID = kNoradFillingStationN
 static const NotificationID kNoradUtilityNotificationID = kNoradPressureNotificationID + 1;
 static const NotificationID kNoradElevatorNotificationID = kNoradUtilityNotificationID + 1;
 static const NotificationID kNoradSubPlatformNotificationID = kNoradElevatorNotificationID + 1;
-static const NotificationID kSubControlNotificationID = kNoradSubPlatformNotificationID + 1;
+static const NotificationID kNoradSubChaseNotificationID = kNoradSubPlatformNotificationID + 1;
+static const NotificationID kSubControlNotificationID = kNoradSubChaseNotificationID + 1;
 static const NotificationID kNoradGreenBallNotificationID = kSubControlNotificationID + 1;
 static const NotificationID kNoradGlobeNotificationID = kNoradGreenBallNotificationID + 1;
 static const NotificationID kCaldoriaVidPhoneNotificationID = kNoradGlobeNotificationID + 1;
 static const NotificationID kCaldoriaMessagesNotificationID = kCaldoriaVidPhoneNotificationID + 1;
 static const NotificationID kCaldoriaBombTimerNotificationID = kCaldoriaMessagesNotificationID + 1;
+static const NotificationID kMarsTunnelPodNotificationID = kCaldoriaBombTimerNotificationID + 1;
+static const NotificationID kMarsCanyonChaseNotificationID = kMarsTunnelPodNotificationID + 1;
 
 // Sent to the shell by fShellNotification.
 static const NotificationFlags kGameStartingFlag = 1;
@@ -463,7 +466,12 @@ static const HotSpotID kAISolveSpotID = kAIHint3SpotID + 1;
 static const HotSpotID kAIBriefingSpotID = kAISolveSpotID + 1;
 static const HotSpotID kAIScanSpotID = kAIBriefingSpotID + 1;
 
-static const HotSpotID kPegasusRecallSpotID = kAIScanSpotID + 1;
+static const HotSpotID kArthurWisdomSpotID = kAIScanSpotID + 1;
+static const HotSpotID kChattyArthurSpotID = kArthurWisdomSpotID + 1;
+static const HotSpotID kChattyAISpotID = kChattyArthurSpotID + 1;
+static const HotSpotID kArthurHeadSpotID = kChattyAISpotID + 1;
+
+static const HotSpotID kPegasusRecallSpotID = kArthurHeadSpotID + 1;
 
 static const HotSpotID kAriesSpotID = kPegasusRecallSpotID + 1;
 static const HotSpotID kMercurySpotID = kAriesSpotID + 1;
@@ -501,7 +509,8 @@ static const HotSpotFlags kInfoReturnSpotFlag = kDropBiochipSpotFlag << 1;
 // Biochip and inventory hot spot flags...
 
 static const HotSpotFlags kAIBiochipSpotFlag = kInfoReturnSpotFlag << 1;
-static const HotSpotFlags kPegasusBiochipSpotFlag = kAIBiochipSpotFlag << 1;
+static const HotSpotFlags kArthurBiochipSpotFlag = kAIBiochipSpotFlag << 1;
+static const HotSpotFlags kPegasusBiochipSpotFlag = kArthurBiochipSpotFlag << 1;
 static const HotSpotFlags kOpticalBiochipSpotFlag = kPegasusBiochipSpotFlag << 1;
 static const HotSpotFlags kAirMaskSpotFlag = kOpticalBiochipSpotFlag << 1;
 
@@ -510,6 +519,7 @@ static const HotSpotFlags kJMPClickingSpotFlags = kClickSpotFlag |
 											kOpenDoorSpotFlag |
 											kInfoReturnSpotFlag |
 											kAIBiochipSpotFlag |
+											kArthurBiochipSpotFlag |
 											kPegasusBiochipSpotFlag |
 											kOpticalBiochipSpotFlag |
 											kAirMaskSpotFlag;
@@ -655,6 +665,7 @@ enum {
 	// Mars
 	kDeathWrongShuttleLock,
 	kDeathArrestedInMars,
+	kDeathCollidedWithPod,
 	kDeathRunOverByPod,
 	kDeathDidntGetOutOfWay,
 	kDeathReactorBurn,
diff --git a/engines/pegasus/cursor.cpp b/engines/pegasus/cursor.cpp
index ad0d2c2..f0976e2 100644
--- a/engines/pegasus/cursor.cpp
+++ b/engines/pegasus/cursor.cpp
@@ -160,6 +160,7 @@ void Cursor::loadCursorImage(CursorInfo &cursorInfo) {
 
 	cursorInfo.surface = new Graphics::Surface();
 
+	// The CD version uses (only) lower color cicn images for its cursors
 	Common::SeekableReadStream *cicnStream = vm->_resFork->getResource(MKTAG('c', 'i', 'c', 'n'), cursorInfo.tag);
 
 	if (!cicnStream)
diff --git a/engines/pegasus/detection.cpp b/engines/pegasus/detection.cpp
old mode 100644
new mode 100755
index 721c382..ac234c2
--- a/engines/pegasus/detection.cpp
+++ b/engines/pegasus/detection.cpp
@@ -41,8 +41,8 @@ enum {
 
 bool PegasusEngine::hasFeature(EngineFeature f) const {
 	return
-		(f == kSupportsRTL)
-		|| (f == kSupportsLoadingDuringRuntime)
+		/* (f == kSupportsRTL)
+		|| */ (f == kSupportsLoadingDuringRuntime)
 		|| (f == kSupportsSavingDuringRuntime);
 }
 
@@ -66,6 +66,10 @@ bool PegasusEngine::isWindows() const {
 	return _gameDescription->desc.platform == Common::kPlatformWindows;
 }
 
+bool PegasusEngine::isLinux() const {
+	return _gameDescription->desc.platform == Common::kPlatformLinux;
+}
+
 } // End of namespace Pegasus
 
 static const PlainGameDescriptor pegasusGames[] = {
@@ -92,6 +96,53 @@ static const PegasusGameDescription gameDescriptions[] = {
 	{
 		{
 			"pegasus",
+			"DVD",
+			AD_ENTRY1s("JMP PP Resources", "d13a602d2498010d720a6534f097f88b", 2075337),
+			Common::EN_ANY,
+			Common::kPlatformMacintosh,
+			ADGF_MACRESFORK|GF_DVD,
+			GUIO0()
+		},
+	},
+	
+	{
+		{	"pegasus",
+			"DVD",
+			AD_ENTRY1s("JMP PP Resources", "d13a602d2498010d720a6534f097f88b", 2075337),
+			Common::EN_ANY,
+			Common::kPlatformWindows,
+			ADGF_MACRESFORK|GF_DVD,
+			GUIO0()
+		},
+	},
+
+	{
+		{
+			"pegasus",
+			"DVD",
+			AD_ENTRY1s("JMP PP Resources", "d13a602d2498010d720a6534f097f88b", 2075337),
+			Common::EN_ANY,
+			Common::kPlatformWindows,
+			ADGF_MACRESFORK|GF_DVD,
+			GUIO0()
+		},
+	},
+
+	{
+		{
+			"pegasus",
+			"DVD",
+			AD_ENTRY1s("JMP PP Resources", "d13a602d2498010d720a6534f097f88b", 2075337),
+			Common::EN_ANY,
+			Common::kPlatformLinux,
+			ADGF_MACRESFORK|GF_DVD,
+			GUIO0()
+		},
+	},
+
+	{
+		{
+			"pegasus",
 			"Demo",
 			AD_ENTRY1s("JMP PP Resources", "d13a602d2498010d720a6534f097f88b", 360129),
 			Common::EN_ANY,
@@ -113,7 +164,7 @@ static const PegasusGameDescription gameDescriptions[] = {
 		},
 	},
 
-		{
+	{
 		{
 			"pegasus",
 			"DVD Demo",
diff --git a/engines/pegasus/graphics.cpp b/engines/pegasus/graphics.cpp
index 5475108..fc22bb5 100644
--- a/engines/pegasus/graphics.cpp
+++ b/engines/pegasus/graphics.cpp
@@ -23,6 +23,7 @@
  *
  */
 
+#include "common/config-manager.h"
 #include "common/events.h"
 #include "common/file.h"
 #include "common/textconsole.h"
diff --git a/engines/pegasus/input.cpp b/engines/pegasus/input.cpp
index b74e4a4..6ad9905 100644
--- a/engines/pegasus/input.cpp
+++ b/engines/pegasus/input.cpp
@@ -64,10 +64,12 @@ InputDeviceManager::InputDeviceManager() {
 	_keyMap[Common::KEYCODE_RALT] = false;
 	_keyMap[Common::KEYCODE_e] = false;
 	_keyMap[Common::KEYCODE_KP_ENTER] = false;
+	_keyMap[Common::KEYCODE_a] = false;
 
 	g_system->getEventManager()->getEventDispatcher()->registerObserver(this, 2, false);
 	_lastRawBits = kAllUpBits;
 	_consoleRequested = false;
+	_AKeyWasDown = false;
 }
 
 InputDeviceManager::~InputDeviceManager() {
@@ -75,19 +77,31 @@ InputDeviceManager::~InputDeviceManager() {
 }
 
 void InputDeviceManager::getInput(Input &input, const InputBits filter) {
-	// Poll for events, but ignore them!
-	// We'll pick them up in notifyEvent()
+	// Poll for events, but ignore most of them!
+	// We'll pick the rest up in notifyEvent()
 	// We do that so that any pollEvent() call can update the variables
 	// (ie. if one uses enter to access the restore menu, we never receive
 	// the key up event, which leads to bad things)
 	// This is to closely emulate what the GetKeys() function did on Mac OS
-	Common::Event event;
-	while (g_system->getEventManager()->pollEvent(event))
-		;
 
-	// Now create the bitfield
 	InputBits currentBits = 0;
 
+	Common::Event event;
+	while (g_system->getEventManager()->pollEvent(event)) {
+		switch (event.type) {
+		case Common::EVENT_WHEELUP:
+			currentBits |= (kRawButtonDown << kUpButtonShift);
+			break;
+		case Common::EVENT_WHEELDOWN:
+			currentBits |= (kRawButtonDown << kDownButtonShift);
+			break;
+		default:
+			break;
+		}
+	}
+
+	// Now fill in the rest of the bitfield
+
 	if (_keyMap[Common::KEYCODE_UP] || _keyMap[Common::KEYCODE_KP8])
 		currentBits |= (kRawButtonDown << kUpButtonShift);
 
@@ -121,6 +135,14 @@ void InputDeviceManager::getInput(Input &input, const InputBits filter) {
 	if (_keyMap[Common::KEYCODE_BACKSPACE] || _keyMap[Common::KEYCODE_KP_MULTIPLY])
 		currentBits |= (kRawButtonDown << kRightFireButtonShift);
 
+	if (((PegasusEngine *)g_engine)->isDVD()) {
+		if (_keyMap[Common::KEYCODE_a] && (_keyMap[Common::KEYCODE_LALT] || _keyMap[Common::KEYCODE_RALT]) && !_AKeyWasDown) {
+			((PegasusEngine *)g_engine)->requestToggle();
+			_AKeyWasDown = true;
+		} else if (!_keyMap[Common::KEYCODE_a])
+			_AKeyWasDown = false;
+	}
+
 	// Update mouse button state
 	// Note that we don't use EVENT_LBUTTONUP/EVENT_LBUTTONDOWN because
 	// they do not show if the button is being held down. We're treating
diff --git a/engines/pegasus/input.h b/engines/pegasus/input.h
index 3e938fa..e2c814a 100644
--- a/engines/pegasus/input.h
+++ b/engines/pegasus/input.h
@@ -57,6 +57,7 @@ protected:
 	Common::HashMap<uint, bool> _keyMap;
 	InputBits _lastRawBits;
 	bool _consoleRequested;
+	bool _AKeyWasDown;
 };
 
 enum {
@@ -278,7 +279,7 @@ enum {
 };
 
 static const InputBits kHintInterruption = kFilterAllInputNoAuto;
-static const InputBits kWarningInterruption = kFilterNoInput;
+static const InputBits kWarningInterruption = kFilterAllInputNoAuto;
 static const InputBits kOpticalInterruption = kFilterAllInputNoAuto;
 
 /*
@@ -481,7 +482,7 @@ public:
 
 	static bool isRaiseInventoryInput(const Input &input) { return input.leftFireButtonDown(); }
 	static bool isRaiseBiochipsInput(const Input &input) { return input.rightFireButtonDown(); }
-	static InputBits getItemPanelsInputFilter() { return kFilterLeftFireButton | kFilterRightFireButton; }
+	static InputBits getItemPanelsInputFilter() { return kFilterFourButton | kFilterLeftFireButton | kFilterRightFireButton; }
 
 	static bool isToggleAIMiddleInput(const Input &input) { return input.threeButtonDown(); }
 
diff --git a/engines/pegasus/interface.cpp b/engines/pegasus/interface.cpp
index f2429bf..5543672 100644
--- a/engines/pegasus/interface.cpp
+++ b/engines/pegasus/interface.cpp
@@ -398,6 +398,7 @@ void Interface::raiseInventoryDrawer(const bool doCallBacks) {
 
 	if (((PegasusEngine *)g_engine)->isDVD()) {
 		_inventoryCloseSound.stopSound();
+		_inventoryOpenSound.setVolume(((PegasusEngine *)g_engine)->getSoundFXLevel());
 		_inventoryOpenSound.playSound();
 	}
 }
@@ -412,6 +413,15 @@ void Interface::playEndMessage() {
 
 void Interface::raiseInventoryDrawerForMessage() {
 	_inventoryPanel.disableLooping();
+
+	// The DVD version has a different image for the inventory
+	// for the end message.
+	if (((PegasusEngine *)g_engine)->isDVD()) {
+		_inventoryPanel.setCommPicture();
+		_inventoryPanel.throwAwayInventoryImage();
+		_inventoryPanel.initInventoryImage(&_inventoryPush);
+	}
+
 	raiseInventoryDrawerSync();
 }
 
@@ -464,6 +474,7 @@ void Interface::lowerInventoryDrawer(const bool doCallBacks) {
 
 		if (((PegasusEngine *)g_engine)->isDVD()) {
 			_inventoryOpenSound.stopSound();
+			_inventoryCloseSound.setVolume(((PegasusEngine *)g_engine)->getSoundFXLevel());
 			_inventoryCloseSound.playSound();
 		}
 	}
@@ -510,6 +521,7 @@ void Interface::raiseBiochipDrawer(const bool doCallBacks) {
 
 	if (((PegasusEngine *)g_engine)->isDVD()) {
 		_biochipCloseSound.stopSound();
+		_biochipOpenSound.setVolume(((PegasusEngine *)g_engine)->getSoundFXLevel());
 		_biochipOpenSound.playSound();
 	}
 }
diff --git a/engines/pegasus/items/biochips/arthurchip.cpp b/engines/pegasus/items/biochips/arthurchip.cpp
new file mode 100644
index 0000000..931f1de
--- /dev/null
+++ b/engines/pegasus/items/biochips/arthurchip.cpp
@@ -0,0 +1,288 @@
+/* ScummVM - Graphic Adventure Engine
+ *
+ * ScummVM is the legal property of its developers, whose names
+ * are too numerous to list here. Please refer to the COPYRIGHT
+ * file distributed with this source distribution.
+ *
+ * Additional copyright for this file:
+ * Copyright (C) 1995-1997 Presto Studios, Inc.
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ */
+
+#include "pegasus/pegasus.h"
+#include "pegasus/ai/ai_area.h"
+#include "pegasus/items/biochips/arthurchip.h"
+
+namespace Common {
+DECLARE_SINGLETON(Pegasus::ArthurManager);
+}
+
+namespace Pegasus {
+
+static const char *kArthurWisdomMovies[] = {
+	"Images/AI/Globals/XGLOBA01",
+	"Images/AI/Globals/XGLOBA03",
+	"Images/AI/Globals/XGLOBA06",
+	"Images/AI/Globals/XGLOBA07",
+	"Images/AI/Globals/XGLOBA09",
+	"Images/AI/Globals/XGLOBA17",
+	"Images/AI/Globals/XGLOBA18",
+	"Images/AI/Globals/XGLOBA25",
+	"Images/AI/Globals/XGLOBA26",
+	"Images/AI/Globals/XGLOBA27",
+	"Images/AI/Globals/XGLOBA28",
+	"Images/AI/Globals/XGLOBA30",
+	"Images/AI/Globals/XGLOBA34",
+	"Images/AI/Globals/XGLOBA35",
+	"Images/AI/Globals/XGLOBA43",
+	"Images/AI/Globals/XGLOBA50",
+	"Images/AI/Globals/XGLOBA56",
+	"Images/AI/Globals/XGLOBA59",
+	"Images/AI/Globals/XGLOBA63",
+	"Images/AI/Globals/XGLOBB10",
+	"Images/AI/Globals/XGLOBB11",
+	"Images/AI/Globals/XGLOBB12",
+	"Images/AI/Globals/XGLOBB13",
+	"Images/AI/Globals/XGLOBB14",
+	"Images/AI/Globals/XGLOBB15",
+	"Images/AI/Globals/XGLOBB16",
+	"Images/AI/Globals/XGLOBB17",
+	"Images/AI/Globals/XGLOBB18",
+	"Images/AI/Globals/XGLOBB19",
+	"Images/AI/Globals/XGLOBB20",
+	"Images/AI/Globals/XGLOBB21",
+	"Images/AI/Globals/XGLOBB22",
+	"Images/AI/Globals/XGLOBB23",
+	"Images/AI/Globals/XGLOBB24",
+	"Images/AI/Globals/XGLOBB25",
+	"Images/AI/Globals/XGLOBB26",
+	"Images/AI/Globals/XGLOBB27",
+	"Images/AI/Globals/XGLOBB28",
+	"Images/AI/Globals/XGLOBB29",
+	"Images/AI/Globals/XGLOBB30",
+	"Images/AI/Globals/XGLOBB31",
+	"Images/AI/Globals/XGLOBB32",
+	"Images/AI/Globals/XGLOBB33",
+	"Images/AI/Globals/XGLOBB34",
+	"Images/AI/Globals/XGLOBB35",
+	"Images/AI/Globals/XGLOBB36",
+	"Images/AI/Globals/XGLOBB37",
+	"Images/AI/Globals/XGLOBB38",
+	"Images/AI/Globals/XGLOBB39",
+	"Images/AI/Globals/XGLOBB43",
+	"Images/AI/Globals/XGLOBB44",
+	"Images/AI/Globals/XGLOBA62"
+};
+
+ArthurChip *g_arthurChip = 0;
+
+ArthurChip::ArthurChip(const ItemID id, const NeighborhoodID neighborhood, const RoomID room, const DirectionConstant direction) :
+		BiochipItem(id, neighborhood, room, direction), _arthurWisdomHotspot(kArthurWisdomSpotID),
+		_chattyArthurHotspot(kChattyArthurSpotID), _chattyAIHotspot(kChattyAISpotID),
+		_arthurHeadHotspot(kArthurHeadSpotID) {
+	_chattyArthur = true;
+	_lastArthurMovie = "";
+
+	_arthurWisdomHotspot.setArea(Common::Rect(kAIMiddleAreaLeft + 20, kAIMiddleAreaTop + 27, kAIMiddleAreaLeft + 20 + 161, kAIMiddleAreaTop + 27 + 30));
+	_arthurWisdomHotspot.setHotspotFlags(kArthurBiochipSpotFlag);
+	g_allHotspots.push_back(&_arthurWisdomHotspot);
+
+	_chattyArthurHotspot.setArea(Common::Rect(kAIMiddleAreaLeft + 100, kAIMiddleAreaTop + 67, kAIMiddleAreaLeft + 100 + 20, kAIMiddleAreaTop + 67 + 20));
+	_chattyArthurHotspot.setHotspotFlags(kArthurBiochipSpotFlag);
+	g_allHotspots.push_back(&_chattyArthurHotspot);
+
+	_chattyAIHotspot.setArea(Common::Rect(kAIMiddleAreaLeft + 130, kAIMiddleAreaTop + 67, kAIMiddleAreaLeft + 130 + 20, kAIMiddleAreaTop + 67 + 20));
+	_chattyAIHotspot.setHotspotFlags(kArthurBiochipSpotFlag);
+	g_allHotspots.push_back(&_chattyAIHotspot);
+
+	_arthurHeadHotspot.setArea(Common::Rect(kAIRightAreaLeft, kAIRightAreaTop, kAIRightAreaLeft + kAIRightAreaWidth, kAIRightAreaTop + kAIRightAreaHeight));
+	_arthurHeadHotspot.setHotspotFlags(kArthurBiochipSpotFlag);
+	g_allHotspots.push_back(&_arthurHeadHotspot);
+
+	setItemState(kArthur000);
+
+	g_arthurChip = this;
+}
+
+ArthurChip::~ArthurChip() {
+	g_arthurChip = NULL;
+
+	g_allHotspots.removeOneHotspot(kArthurWisdomSpotID);
+	g_allHotspots.removeOneHotspot(kChattyArthurSpotID);
+	g_allHotspots.removeOneHotspot(kChattyAISpotID);
+	g_allHotspots.removeOneHotspot(kArthurHeadSpotID);
+}
+
+void ArthurChip::setChattyArthur(bool flag) {
+	_chattyArthur = flag;
+
+	setUpArthurChip();
+
+	if (flag) {
+		if (((PegasusEngine *)g_engine)->getRandomBit())
+			playArthurMovie("Images/AI/Globals/XGLOBAA1");
+		else
+			playArthurMovie("Images/AI/Globals/XGLOBAA2");
+	} else {
+		playArthurMovie("Images/AI/Globals/XGLOBAA0");
+	}
+}
+
+void ArthurChip::select() {
+	BiochipItem::select();
+	setUpArthurChip();
+}
+
+void ArthurChip::setUpArthurChip() {
+	ItemState state = getItemState();
+
+	if (_chattyArthur) {
+		if (g_AIArea && g_AIArea->isChattyAI()) {
+			if (state != kArthur002)
+				setItemState(kArthur000);
+		} else if (state != kArthur102) {
+			setItemState(kArthur100);
+		}
+	} else {
+		if (g_AIArea && g_AIArea->isChattyAI()) {
+			if (state != kArthur012)
+				setItemState(kArthur010);
+		} else if (state != kArthur112) {
+			setItemState(kArthur110);
+		}
+	}
+}
+
+void ArthurChip::activateArthurHotspots() {
+	_arthurWisdomHotspot.setActive();
+	_chattyArthurHotspot.setActive();
+	_chattyAIHotspot.setActive();
+	_arthurHeadHotspot.setActive();
+}
+
+void ArthurChip::clickInArthurHotspot(HotSpotID id) {
+	ItemState state, newState;
+
+	if (id == kArthurHeadSpotID) {
+		if (_lastArthurMovie != "")
+			playArthurMovie(_lastArthurMovie);
+		return;
+	}
+	
+	newState = state = getItemState();
+	switch (state) {
+	case kArthur000:
+		switch (id) {
+		case kArthurWisdomSpotID:
+			newState = kArthur002;
+			break;
+		case kChattyArthurSpotID:
+			newState = kArthur010;
+			break;
+		case kChattyAISpotID:
+			newState = kArthur100;
+			break;
+		}
+		break;
+	case kArthur010:
+		switch (id) {
+		case kArthurWisdomSpotID:
+			newState = kArthur012;
+			break;
+		case kChattyArthurSpotID:
+			newState = kArthur000;
+			break;
+		case kChattyAISpotID:
+			newState = kArthur110;
+			break;
+		}
+		break;
+	case kArthur100:
+		switch (id) {
+		case kArthurWisdomSpotID:
+			newState = kArthur102;
+			break;
+		case kChattyArthurSpotID:
+			newState = kArthur110;
+			break;
+		case kChattyAISpotID:
+			newState = kArthur010;
+			break;
+		}
+		break;
+	case kArthur110:
+		switch (id) {
+		case kArthurWisdomSpotID:
+			newState = kArthur112;
+			break;
+		case kChattyArthurSpotID:
+			newState = kArthur100;
+			break;
+		case kChattyAISpotID:
+			newState = kArthur010;
+			break;
+		}
+		break;
+	}
+	setItemState(newState);
+	switch (id) {
+	case kArthurWisdomSpotID:
+		playArthurMovie(kArthurWisdomMovies[((PegasusEngine *)g_engine)->getRandomNumber((
+						sizeof(kArthurWisdomMovies) / sizeof(const char *)) - 1)]);
+		break;
+	case kChattyArthurSpotID:
+		setChattyArthur(!_chattyArthur);
+		break;
+	case kChattyAISpotID:
+		if (g_AIArea)
+			g_AIArea->setChattyAI(!g_AIArea->isChattyAI());
+		break;
+	}
+	
+	setItemState(state);
+}
+
+void ArthurChip::playArthurMovie(const Common::String &movieName) {
+	if (g_AIArea) {
+		g_AIArea->playAIMovie(kRightAreaSignature, movieName, false, kHintInterruption);
+		if (movieName != "Images/AI/Globals/XGLOB00" &&
+			movieName != "Images/AI/Globals/XGLOB01" &&
+			movieName != "Images/AI/Globals/XGLOBAA0" &&
+			movieName != "Images/AI/Globals/XGLOBAA1" &&
+			movieName != "Images/AI/Globals/XGLOBAA2")
+			_lastArthurMovie = movieName;
+	}
+}
+
+bool ArthurChip::playArthurMovieForEvent(const Common::String &movieName, ArthurEvent event) {
+	if (((PegasusEngine *)g_engine)->isDVD() && ((PegasusEngine *)g_engine)->playerHasItemID(kArthurBiochip) &&
+		isChattyArthur() && !Arthur._arthurFlags.getFlag(event)) {
+		Arthur._arthurFlags.setFlag(event, true);
+		playArthurMovie(movieName);
+		return true;
+	} else {
+		return false;
+	}
+}
+
+void ArthurManager::resetArthurState() {
+	bool savedGameFlag = _arthurFlags.getFlag(kArthurLoadedSavedGame);
+	_arthurFlags.clearAllFlags();
+	_arthurFlags.setFlag(kArthurLoadedSavedGame, savedGameFlag);
+}
+
+} // End of namespace Pegasus
diff --git a/engines/pegasus/items/biochips/arthurchip.h b/engines/pegasus/items/biochips/arthurchip.h
new file mode 100644
index 0000000..4c4a580
--- /dev/null
+++ b/engines/pegasus/items/biochips/arthurchip.h
@@ -0,0 +1,226 @@
+/* ScummVM - Graphic Adventure Engine
+ *
+ * ScummVM is the legal property of its developers, whose names
+ * are too numerous to list here. Please refer to the COPYRIGHT
+ * file distributed with this source distribution.
+ *
+ * Additional copyright for this file:
+ * Copyright (C) 1995-1997 Presto Studios, Inc.
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ */
+
+#ifndef PEGASUS_ITEMS_BIOCHIPS_ARTHURCHIP_H
+#define PEGASUS_ITEMS_BIOCHIPS_ARTHURCHIP_H
+
+#include "pegasus/hotspot.h"
+#include "pegasus/util.h"
+#include "pegasus/items/biochips/biochipitem.h"
+
+namespace Pegasus {
+
+enum ArthurEvent {
+	kArthurLoadedSavedGame,
+	kArthurAttemptedLockedDoor,
+	kArthurAttemptedLockedDoorAgain,
+	kArthurDestroyedInventoryItem,
+	kArthurDisabledAI,
+
+	kArthurCaldoriaFinishedJoyride,
+	kArthurCaldoriaSelectedStickyBuns,
+	kArthurCaldoriaCreatedCornbread,
+	kArthurCaldoriaDrankOJ,
+	kArthurCaldoriaZoomedToLaundry,
+	kArthurCaldoriaReachedToilet,
+	kArthurCaldoriaReadPaper,
+	kArthurCaldoriaChoseAgencyHairStyle,
+	kArthurCaldoriaSawVacantApartment,
+	kArthurCaldoriaLookThroughTelescope,
+	kArthurCaldoriaRoofDoor,
+	kArthurCaldoriaUsedCardBomb,
+	kArthurCaldoriaBlownDoor,
+	kArthurCaldoriaSawVoiceAnalysis,
+	kArthurCaldoriaStunningSinclair,
+	kArthurCaldoriaSeeRoofBomb,
+	kArthurCaldoriaDisarmedNuke,
+
+	kArthurTSAEnteredCave,
+	kArthurTSASawAgent3,
+	kArthurTSASawBust,
+	kArthurTSAReachedJunction,
+	kArthurTSAClickedRobot1,
+	kArthurTSAClickedRobot2,
+	kArthurTSAOpenTBPMonitor,
+	kArthurTSASawJourneymanKey,
+	kArthurTSASawBiochips,
+	kArthurTSAUsedPegasus,
+	kArthurTSAConfinedByBaldwin,
+	kArthurTSARedirectedRobots,
+	kArthurTSAUsedTurbolift,
+	kArthurTSASawFirstOpMemMovie,
+	kArthurTSAInPegasusNoVideo,
+	kArthurTSASawBaldwinSayGo,
+	kArthurTSALeaving,
+
+	kArthurGoToPrehistoric,
+	
+	kArthurPrehistoricReachedJunction,
+	kArthurPrehistoricSawBreaker,
+	kArthurPrehistoricBreakerThrown,
+	kArthurPrehistoricAtCliffEdge,
+	kArthurPrehistoricSawEggs,
+	kArthurPrehistoricZoomedToVault,
+	kArthurPrehistoricAttemptedBridge,
+	kArthurPrehistoricExtendedBridge,
+	kArthurPrehistoricCrossedBridge,
+	kArthurPrehistoricUnlockedVault,
+
+	kArthurMarsReadyForKiosk,
+	kArthurMarsLookedAtGuards,
+	kArthurMarsZoomedToKeyCard,
+	kArthurMarsTurnedOnTransport,
+	kArthurMarsCantFillMask,
+	kArthurMarsSawWelcomeVideos,
+	kArthurMarsRobotThrownPlayerWithMask,
+	kArthurMarsLeftPodNoCrowBar,
+	kArthurMarsLookAtEmptyTracks,
+	kArthurMarsEnteredReactor,
+	kArthurMarsSawLockedPanel,
+	kArthurMarsSawLockedPanelNoNitrogen,
+	kArthurMarsUsedLiquidNitrogen,
+	kArthurMarsFoundCardBomb,
+	kArthurMarsSolvedReactorGame,
+	kArthurMarsDeactivatedCardBomb,
+	kArthurMarsExitedReactorWithCardBomb,
+	kArthurMarsInAirlockNoOxygen,
+	kArthurMarsMazeReachedJunction,
+	kArthurMarsOxygen50Warning,
+	kArthurMarsOxygen25Warning,
+	kArthurMarsOxygen5Warning,
+	kArthurMarsFoundBuckets,
+	kArthurMarsApproachedBuckets,
+	kArthurMarsEnteredGearRoom,
+	kArthurMarsLookAtGears,
+	kArthurMarsExitedGearRoom,
+	kArthurMarsFoundNoShuttlePresent,
+	kArthurMarsEnteredShuttle,
+	kArthurMarsFoundDeadRobot,
+	kArthurMarsRobotHeadOpen,
+
+	kArthurWSCRemovedDart,
+	kArthurWSCPoisonedDuringGame,
+	kArthurWSCFailedMolecule,
+	kArthurWSCDesignedAntidote,
+	kArthurWSCSawAresHologram,
+	kArthurWSCLookAtMorphExperiment,
+	kArthurWSCStartMorphExperiment,
+	kArthurWSCSawMorphExperiment,
+	kArthurWSCLeftLabNoKeyOrCanisters,
+	kArthurWSCAtOppositeDoor,
+	kArthurWSCReadyForMap,
+	kArthurWSCAttemptedLockedDoor,
+	kArthurWSCSawSinclairDoor,
+	kArthurWSCSawSinclairDoorNoKey,
+	kArthurWSCAttemptedSinclairDoorNoKey,
+	kArthurWSCZoomedToSnake,
+	kArthurWSCActivatedComputer,
+	kArthurWSCZoomedToSinclairMessages,
+	kArthurWSCPlayedEasterEggMessage,
+	kArthurWSCGotMachineGun,
+	kArthurWSCSeenNerd,
+	kArthurWSCSawBrokenDoor,
+	kArthurWSCSawBrokenDoorNoCrowBar,
+	kArthurWSCUsedCrowBar,
+	kArthurWSCDidPlasmaDodge,
+	kArthurWSCEnteredAuditorium,
+	kArthurWSCSawSinclairLecture,
+	kArthurWSCEnteredPassage,
+	kArthurWSCInPassage,
+	kArthurWSCExitedPassage,
+	kArthurWSCSawCatwalkDoor,
+	kArthurWSCRobotHeadOpen,
+
+	kArthurNoradAtSecurityMonitor,
+	kArthurNoradSawFillingStation,
+	kArthurNoradSawIntakeWarning,
+	kArthurNoradDidntFillCanisters,
+	kArthurNoradSawUnconsciousOperator,
+	kArthurNoradAttemptedLockedDoor,
+	kArthurNoradAttemptedLockedDoorAgain,
+	kArthurNoradReachedPressureDoor,
+	kArthurNoradSawSubMessage,
+	kArthurNoradSawClawMonitor,
+	kArthurNoradPlayedWithClaw,
+	kArthurNoradEnteredSub,
+	kArthurNoradExitedSub,
+	kArthurNoradApproachedDamagedDoor,
+	kArthurNoradAtRetScanNoBiochip,
+	kArthurNoradStartGlobeGame,
+	kArthurNoradSelectedIncorrectSilo,
+	kArthurNoradFinishedGlobeGame,
+	kArthurNoradThreatenedByRobot,
+	kArthurNoradBeatRobotWithClaw,
+	kArthurNoradRobotHeadOpen,
+	
+	kNumArthurFlags
+};
+
+class ArthurChip : public BiochipItem {
+public:
+	ArthurChip(const ItemID, const NeighborhoodID, const RoomID, const DirectionConstant);
+	virtual ~ArthurChip();
+
+	bool isChattyArthur() { return _chattyArthur; }
+	void setChattyArthur(bool);
+
+	void select();
+
+	void setUpArthurChip();
+	void activateArthurHotspots();
+	void clickInArthurHotspot(HotSpotID);
+	void playArthurMovie(const Common::String &);
+	bool playArthurMovieForEvent(const Common::String &, ArthurEvent event);
+
+protected:
+	Hotspot _arthurWisdomHotspot;
+	Hotspot _chattyArthurHotspot;
+	Hotspot _chattyAIHotspot;
+	Hotspot _arthurHeadHotspot;
+	bool _chattyArthur;
+	Common::String _lastArthurMovie;
+};
+
+class ArthurManager : public Common::Singleton<ArthurManager> {
+public:
+	ArthurManager() { resetArthurState(); }
+
+	void resetArthurState();
+
+protected:
+	friend class Common::Singleton<SingletonBaseType>;
+	friend class ArthurChip;
+
+private:
+	FlagsArray<byte, kNumArthurFlags> _arthurFlags;
+};
+
+extern ArthurChip *g_arthurChip;
+
+} // End of namespace Pegasus
+
+#define Arthur (::Pegasus::ArthurManager::instance())
+
+#endif
diff --git a/engines/pegasus/items/biochips/opticalchip.cpp b/engines/pegasus/items/biochips/opticalchip.cpp
index 7b8858e..05121ac 100644
--- a/engines/pegasus/items/biochips/opticalchip.cpp
+++ b/engines/pegasus/items/biochips/opticalchip.cpp
@@ -127,7 +127,16 @@ void OpticalChip::playOpMemMovie(HotSpotID id) {
 	Common::String movieName;
 	switch (id) {
 	case kAriesSpotID:
-		movieName = "Images/AI/Globals/OMAI";
+		// WORKAROUND: The original CD release played the ares video even
+		// when you destroyed the shuttle. For the DVD release, we have
+		// some new videos that can be played instead to workaround a plot
+		// loophole.
+		if (!((PegasusEngine *)g_engine)->isDVD() || _opticalFlags.getFlag(kOpticalAriesExposed))
+			movieName = "Images/AI/Globals/OMAI";
+		else if (_itemOwnerID == kPlayerID)
+			movieName = "Images/AI/Globals/OMN1";
+		else
+			movieName = "Images/AI/Globals/OMN0";
 		break;
 	case kMercurySpotID:
 		movieName = "Images/AI/Globals/OMMI";
